diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index bc7b88a0b18..36a72b896c4 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -30381,8 +30381,90 @@ (define-public rust-git2-curl-0.17
         ("rust-log" ,rust-log-0.4)
         ("rust-url" ,rust-url-2))))))
 
+(define-public rust-gix-0.54
+  (package
+    (name "rust-gix")
+    (version "0.54.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "gix" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0ly919iq2jnb28fvac5iwqv9jqn1pr7fl63xsn89cial8kkk4vdd"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-async-std" ,rust-async-std-1)
+                       ("rust-document-features" ,rust-document-features-0.2)
+                       ("rust-gix-actor" ,rust-gix-actor-0.27)
+                       ("rust-gix-archive" ,rust-gix-archive-0.5)
+                       ("rust-gix-attributes" ,rust-gix-attributes-0.19)
+                       ("rust-gix-commitgraph" ,rust-gix-commitgraph-0.21)
+                       ("rust-gix-config" ,rust-gix-config-0.30)
+                       ("rust-gix-credentials" ,rust-gix-credentials-0.20)
+                       ("rust-gix-date" ,rust-gix-date-0.8)
+                       ("rust-gix-diff" ,rust-gix-diff-0.36)
+                       ("rust-gix-discover" ,rust-gix-discover-0.25)
+                       ("rust-gix-features" ,rust-gix-features-0.35)
+                       ("rust-gix-filter" ,rust-gix-filter-0.5)
+                       ("rust-gix-fs" ,rust-gix-fs-0.7)
+                       ("rust-gix-glob" ,rust-gix-glob-0.13)
+                       ("rust-gix-hash" ,rust-gix-hash-0.13)
+                       ("rust-gix-hashtable" ,rust-gix-hashtable-0.4)
+                       ("rust-gix-ignore" ,rust-gix-ignore-0.8)
+                       ("rust-gix-index" ,rust-gix-index-0.25)
+                       ("rust-gix-lock" ,rust-gix-lock-10)
+                       ("rust-gix-macros" ,rust-gix-macros-0.1)
+                       ("rust-gix-mailmap" ,rust-gix-mailmap-0.19)
+                       ("rust-gix-negotiate" ,rust-gix-negotiate-0.8)
+                       ("rust-gix-object" ,rust-gix-object-0.37)
+                       ("rust-gix-odb" ,rust-gix-odb-0.53)
+                       ("rust-gix-pack" ,rust-gix-pack-0.43)
+                       ("rust-gix-path" ,rust-gix-path-0.10)
+                       ("rust-gix-pathspec" ,rust-gix-pathspec-0.3)
+                       ("rust-gix-prompt" ,rust-gix-prompt-0.7)
+                       ("rust-gix-protocol" ,rust-gix-protocol-0.40)
+                       ("rust-gix-ref" ,rust-gix-ref-0.37)
+                       ("rust-gix-refspec" ,rust-gix-refspec-0.18)
+                       ("rust-gix-revision" ,rust-gix-revision-0.22)
+                       ("rust-gix-revwalk" ,rust-gix-revwalk-0.8)
+                       ("rust-gix-sec" ,rust-gix-sec-0.10)
+                       ("rust-gix-status" ,rust-gix-status-0.1)
+                       ("rust-gix-submodule" ,rust-gix-submodule-0.4)
+                       ("rust-gix-tempfile" ,rust-gix-tempfile-10)
+                       ("rust-gix-trace" ,rust-gix-trace-0.1)
+                       ("rust-gix-transport" ,rust-gix-transport-0.37)
+                       ("rust-gix-traverse" ,rust-gix-traverse-0.33)
+                       ("rust-gix-url" ,rust-gix-url-0.24)
+                       ("rust-gix-utils" ,rust-gix-utils-0.1)
+                       ("rust-gix-validate" ,rust-gix-validate-0.8)
+                       ("rust-gix-worktree" ,rust-gix-worktree-0.26)
+                       ("rust-gix-worktree-state" ,rust-gix-worktree-state-0.3)
+                       ("rust-gix-worktree-stream" ,rust-gix-worktree-stream-0.5)
+                       ("rust-once-cell" ,rust-once-cell-1)
+                       ("rust-parking-lot" ,rust-parking-lot-0.12)
+                       ("rust-prodash" ,rust-prodash-26)
+                       ("rust-regex" ,rust-regex-1)
+                       ("rust-reqwest" ,rust-reqwest-0.11)
+                       ("rust-serde" ,rust-serde-1)
+                       ("rust-signal-hook" ,rust-signal-hook-0.3)
+                       ("rust-smallvec" ,rust-smallvec-1)
+                       ("rust-thiserror" ,rust-thiserror-1)
+                       ("rust-unicode-normalization" ,rust-unicode-normalization-0.1))
+       #:cargo-development-inputs (("rust-anyhow" ,rust-anyhow-1)
+                                   ("rust-async-std" ,rust-async-std-1)
+                                   ("rust-is-ci" ,rust-is-ci-1)
+                                   ("rust-serial-test" ,rust-serial-test-2)
+                                   ("rust-walkdir" ,rust-walkdir-2))))
+    (home-page "https://github.com/Byron/gitoxide")
+    (synopsis "Interact with Git repositories using a pure Rust implementation")
+    (description "Gitoxide is a pure Rust implementation of Git that aims to be lean
+and correct.  Interact with Git repositories just like Git would.")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-gix-0.45
   (package
+    (inherit rust-gix-0.54)
     (name "rust-gix")
     (version "0.45.1")
     (source
@@ -30392,7 +30474,6 @@ (define-public rust-gix-0.45
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
         (base32 "10ndy5kvczbgfpv7zjqh71hl3w8lin7p3az3pard297fcvn06amz"))))
-    (build-system cargo-build-system)
     (arguments
      `(#:tests? #f      ; Tests aren't included
        #:cargo-inputs
@@ -30448,11 +30529,7 @@ (define-public rust-gix-0.45
         ("rust-async-std" ,rust-async-std-1)
         ("rust-is-ci" ,rust-is-ci-1)
         ("rust-serial-test" ,rust-serial-test-2)
-        ("rust-walkdir" ,rust-walkdir-2))))
-    (home-page "https://github.com/Byron/gitoxide")
-    (synopsis "Interact with git repositories just like git would")
-    (description "Interact with git repositories just like git would.")
-    (license (list license:expat license:asl2.0))))
+        ("rust-walkdir" ,rust-walkdir-2))))))
 
 (define-public rust-gix-actor-0.27
   (package