diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 849b031669c..877f5c08e6e 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -70442,6 +70442,78 @@ (define-public rust-sqlformat-0.2
      "Formats whitespace in a SQL string to make it easier to read")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-sqlx-core-0.7
+  (package
+    (name "rust-sqlx-core")
+    (version "0.7.3")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "sqlx-core" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1gdz44yb9qwxv4xl4hv6w4vbqx0zzdlzsf9j9gcj1qir6wy0ljyq"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-ahash" ,rust-ahash-0.8)
+                       ("rust-async-io" ,rust-async-io-1)
+                       ("rust-async-std" ,rust-async-std-1)
+                       ("rust-atoi" ,rust-atoi-2)
+                       ("rust-bigdecimal" ,rust-bigdecimal-0.3)
+                       ("rust-bit-vec" ,rust-bit-vec-0.6)
+                       ("rust-bstr" ,rust-bstr-1)
+                       ("rust-byteorder" ,rust-byteorder-1)
+                       ("rust-bytes" ,rust-bytes-1)
+                       ("rust-chrono" ,rust-chrono-0.4)
+                       ("rust-crc" ,rust-crc-3)
+                       ("rust-crossbeam-queue" ,rust-crossbeam-queue-0.3)
+                       ("rust-digest" ,rust-digest-0.10)
+                       ("rust-dotenvy" ,rust-dotenvy-0.15)
+                       ("rust-either" ,rust-either-1)
+                       ("rust-encoding-rs" ,rust-encoding-rs-0.8)
+                       ("rust-event-listener" ,rust-event-listener-2)
+                       ("rust-futures-channel" ,rust-futures-channel-0.3)
+                       ("rust-futures-core" ,rust-futures-core-0.3)
+                       ("rust-futures-intrusive" ,rust-futures-intrusive-0.5)
+                       ("rust-futures-io" ,rust-futures-io-0.3)
+                       ("rust-futures-util" ,rust-futures-util-0.3)
+                       ("rust-hashlink" ,rust-hashlink-0.8)
+                       ("rust-hex" ,rust-hex-0.4)
+                       ("rust-indexmap" ,rust-indexmap-2)
+                       ("rust-ipnetwork" ,rust-ipnetwork-0.20)
+                       ("rust-log" ,rust-log-0.4)
+                       ("rust-mac-address" ,rust-mac-address-1)
+                       ("rust-memchr" ,rust-memchr-2)
+                       ("rust-native-tls" ,rust-native-tls-0.2)
+                       ("rust-num-bigint" ,rust-num-bigint-0.4)
+                       ("rust-once-cell" ,rust-once-cell-1)
+                       ("rust-paste" ,rust-paste-1)
+                       ("rust-percent-encoding" ,rust-percent-encoding-2)
+                       ("rust-regex" ,rust-regex-1)
+                       ("rust-rust-decimal" ,rust-rust-decimal-1)
+                       ("rust-rustls" ,rust-rustls-0.21)
+                       ("rust-rustls-pemfile" ,rust-rustls-pemfile-1)
+                       ("rust-serde" ,rust-serde-1)
+                       ("rust-serde-json" ,rust-serde-json-1)
+                       ("rust-sha1" ,rust-sha1-0.10)
+                       ("rust-sha2" ,rust-sha2-0.10)
+                       ("rust-smallvec" ,rust-smallvec-1)
+                       ("rust-sqlformat" ,rust-sqlformat-0.2)
+                       ("rust-thiserror" ,rust-thiserror-1)
+                       ("rust-time" ,rust-time-0.3)
+                       ("rust-tokio" ,rust-tokio-1)
+                       ("rust-tokio-stream" ,rust-tokio-stream-0.1)
+                       ("rust-tracing" ,rust-tracing-0.1)
+                       ("rust-url" ,rust-url-2)
+                       ("rust-uuid" ,rust-uuid-1)
+                       ("rust-webpki-roots" ,rust-webpki-roots-0.25))))
+    (home-page "https://github.com/launchbadge/sqlx")
+    (synopsis
+     "Core of SQLx, the rust SQL toolkit. Not intended to be used directly.")
+    (description
+     "Core of SQLx, the rust SQL toolkit.  Not intended to be used directly.")
+    (license (list license:expat license:asl2.0))))
 (define-public rust-sqlite-0.30
   (package
     (name "rust-sqlite")