diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 7d96240905..5b8cd25da8 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -77405,74 +77405,74 @@ (define-public rust-tectonic-engine-spx2html-0.1
         ("rust-tempfile" ,rust-tempfile-3)
         ("rust-tera" ,rust-tera-1))))))
 
-(define-public rust-tectonic-engine-xetex-0.4
+(define-public rust-tectonic-engine-xdvipdfmx-0.4
   (package
-    (name "rust-tectonic-engine-xetex")
-    (version "0.4.4")
+    (name "rust-tectonic-engine-xdvipdfmx")
+    (version "0.4.1")
     (source
      (origin
        (method url-fetch)
-       (uri (crate-uri "tectonic_engine_xetex" version))
+       (uri (crate-uri "tectonic_engine_xdvipdfmx" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "11if3zyzp8149gf1j4fhwk8kbbs2agxkk5la1lhmq4icrj6szwrf"))))
+        (base32 "1h8lslv1h6g8971787sa818g6yhpqr00g13sw6ij14m6k9bi1dq7"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
        (("rust-cc" ,rust-cc-1)
         ("rust-libc" ,rust-libc-0.2)
         ("rust-tectonic-bridge-core" ,rust-tectonic-bridge-core-0.3)
-        ("rust-tectonic-bridge-flate" ,rust-tectonic-bridge-flate-0.1)
-        ("rust-tectonic-bridge-graphite2" ,rust-tectonic-bridge-graphite2-0.2)
-        ("rust-tectonic-bridge-harfbuzz" ,rust-tectonic-bridge-harfbuzz-0.2)
-        ("rust-tectonic-cfg-support" ,rust-tectonic-cfg-support-0.1)
         ("rust-tectonic-errors" ,rust-tectonic-errors-0.2)
-        ("rust-tectonic-pdf-io" ,rust-tectonic-pdf-io-0.4)
-        ("rust-tectonic-xetex-layout" ,rust-tectonic-xetex-layout-0.2))))
+        ("rust-tectonic-pdf-io" ,rust-tectonic-pdf-io-0.4))))
     (native-inputs
      (list pkg-config))
     (inputs
-     (list fontconfig
-           freetype
-           graphite2
-           harfbuzz
-           icu4c
-           zlib))
+     (list libpng zlib))
     (home-page "https://tectonic-typesetting.github.io/")
-    (synopsis "XeTeX engine as a reusable crate")
+    (synopsis "@code{xdvipdfmx} program as a reusable crate")
     (description
-     "This crate is part of the Tectonic project.  It provides the XeTeX
-engine as a reusable crate.")
+     "This crate is part of the Tectonic project.  It provides XeTeX’s
+@code{xdvipdfmx} program as a reusable crate.")
     (license license:expat)))
 
-(define-public rust-tectonic-engine-xdvipdfmx-0.4
+(define-public rust-tectonic-engine-xetex-0.4
   (package
-    (name "rust-tectonic-engine-xdvipdfmx")
-    (version "0.4.1")
+    (name "rust-tectonic-engine-xetex")
+    (version "0.4.4")
     (source
      (origin
        (method url-fetch)
-       (uri (crate-uri "tectonic_engine_xdvipdfmx" version))
+       (uri (crate-uri "tectonic_engine_xetex" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "1h8lslv1h6g8971787sa818g6yhpqr00g13sw6ij14m6k9bi1dq7"))))
+        (base32 "11if3zyzp8149gf1j4fhwk8kbbs2agxkk5la1lhmq4icrj6szwrf"))))
     (build-system cargo-build-system)
     (arguments
      `(#:cargo-inputs
        (("rust-cc" ,rust-cc-1)
         ("rust-libc" ,rust-libc-0.2)
         ("rust-tectonic-bridge-core" ,rust-tectonic-bridge-core-0.3)
+        ("rust-tectonic-bridge-flate" ,rust-tectonic-bridge-flate-0.1)
+        ("rust-tectonic-bridge-graphite2" ,rust-tectonic-bridge-graphite2-0.2)
+        ("rust-tectonic-bridge-harfbuzz" ,rust-tectonic-bridge-harfbuzz-0.2)
+        ("rust-tectonic-cfg-support" ,rust-tectonic-cfg-support-0.1)
         ("rust-tectonic-errors" ,rust-tectonic-errors-0.2)
-        ("rust-tectonic-pdf-io" ,rust-tectonic-pdf-io-0.4))))
+        ("rust-tectonic-pdf-io" ,rust-tectonic-pdf-io-0.4)
+        ("rust-tectonic-xetex-layout" ,rust-tectonic-xetex-layout-0.2))))
     (native-inputs
      (list pkg-config))
     (inputs
-     (list libpng zlib))
+     (list fontconfig
+           freetype
+           graphite2
+           harfbuzz
+           icu4c
+           zlib))
     (home-page "https://tectonic-typesetting.github.io/")
-    (synopsis "@code{xdvipdfmx} program as a reusable crate")
+    (synopsis "XeTeX engine as a reusable crate")
     (description
-     "This crate is part of the Tectonic project.  It provides XeTeX’s
-@code{xdvipdfmx} program as a reusable crate.")
+     "This crate is part of the Tectonic project.  It provides the XeTeX
+engine as a reusable crate.")
     (license license:expat)))
 
 (define-public rust-tectonic-errors-0.2