diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 93064455b3..762903070a 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -75497,56 +75497,6 @@ (define-public rust-symphonia-bundle-flac-0.4
 and decoder.")
     (license license:mpl2.0)))
 
-(define-public rust-symphonia-core-0.4
-  (package
-    (name "rust-symphonia-core")
-    (version "0.4.0")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "symphonia-core" version))
-       (file-name (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32 "1j84q4a9p9qa23976spxap9s6ns3fm6fzrfz65n6cjhgpsbmw4zs"))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:cargo-inputs (("rust-arrayvec" ,rust-arrayvec-0.7)
-                       ("rust-bitflags" ,rust-bitflags-1)
-                       ("rust-bytemuck" ,rust-bytemuck-1)
-                       ("rust-lazy-static" ,rust-lazy-static-1)
-                       ("rust-log" ,rust-log-0.4))))
-    (home-page "https://github.com/pdeljanov/Symphonia")
-    (synopsis "Shared elements for Symphonia a Rust audio library")
-    (description
-     "Symphonia is a pure Rust audio decoding and media demuxing
-library supporting a wide range of audio formats.  This package contains
-shared structs, traits, and features.")
-    (license license:mpl2.0)))
-
-(define-public rust-symphonia-metadata-0.4
-  (package
-    (name "rust-symphonia-metadata")
-    (version "0.4.0")
-    (source (origin
-              (method url-fetch)
-              (uri (crate-uri "symphonia-metadata" version))
-              (file-name (string-append name "-" version ".tar.gz"))
-              (sha256
-               (base32
-                "06lvwy24kirc84r6d23ncad544525fsb6gna0plqz3d1mffmjq2j"))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:cargo-inputs (("rust-encoding-rs" ,rust-encoding-rs-0.8)
-                       ("rust-lazy-static" ,rust-lazy-static-1)
-                       ("rust-log" ,rust-log-0.4)
-                       ("rust-symphonia-core" ,rust-symphonia-core-0.4))))
-    (home-page "https://github.com/pdeljanov/Symphonia")
-    (synopsis "Multimedia tag and metadata readers for the Symphonia library")
-    (description "Symphonia is a pure Rust audio decoding and media demuxing
-library supporting a wide range of audio formats.  This package contains
-multimedia tag and metadata readers.")
-    (license license:mpl2.0)))
-
 (define-public rust-symphonia-bundle-mp3-0.4
   (package
     (name "rust-symphonia-bundle-mp3")
@@ -75644,6 +75594,32 @@ (define-public rust-symphonia-codec-vorbis-0.4
 decoder.")
     (license license:mpl2.0)))
 
+(define-public rust-symphonia-core-0.4
+  (package
+    (name "rust-symphonia-core")
+    (version "0.4.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "symphonia-core" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1j84q4a9p9qa23976spxap9s6ns3fm6fzrfz65n6cjhgpsbmw4zs"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-arrayvec" ,rust-arrayvec-0.7)
+                       ("rust-bitflags" ,rust-bitflags-1)
+                       ("rust-bytemuck" ,rust-bytemuck-1)
+                       ("rust-lazy-static" ,rust-lazy-static-1)
+                       ("rust-log" ,rust-log-0.4))))
+    (home-page "https://github.com/pdeljanov/Symphonia")
+    (synopsis "Shared elements for Symphonia a Rust audio library")
+    (description
+     "Symphonia is a pure Rust audio decoding and media demuxing
+library supporting a wide range of audio formats.  This package contains
+shared structs, traits, and features.")
+    (license license:mpl2.0)))
+
 (define-public rust-symphonia-format-isomp4-0.4
   (package
     (name "rust-symphonia-format-isomp4")
@@ -75716,6 +75692,31 @@ (define-public rust-symphonia-format-wav-0.4
 supports a wide range of audio formats.  This package is a WAV demuxer.")
     (license license:mpl2.0)))
 
+(define-public rust-symphonia-metadata-0.4
+  (package
+    (name "rust-symphonia-metadata")
+    (version "0.4.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "symphonia-metadata" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "06lvwy24kirc84r6d23ncad544525fsb6gna0plqz3d1mffmjq2j"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-encoding-rs" ,rust-encoding-rs-0.8)
+                       ("rust-lazy-static" ,rust-lazy-static-1)
+                       ("rust-log" ,rust-log-0.4)
+                       ("rust-symphonia-core" ,rust-symphonia-core-0.4))))
+    (home-page "https://github.com/pdeljanov/Symphonia")
+    (synopsis "Multimedia tag and metadata readers for the Symphonia library")
+    (description
+     "Symphonia is a pure Rust audio decoding and media demuxing
+library supporting a wide range of audio formats.  This package contains
+multimedia tag and metadata readers.")
+    (license license:mpl2.0)))
+
 (define-public rust-symphonia-utils-xiph-0.4
   (package
     (name "rust-symphonia-utils-xiph")