diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index b7dcdf22fe..7e71d8af59 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -88360,105 +88360,6 @@ (define-public rust-wax-0.6
 against paths and directory trees.")
     (license license:expat)))
 
-(define-public rust-wl-clipboard-rs-0.8
-  (package
-    (name "rust-wl-clipboard-rs")
-    (version "0.8.1")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "wl-clipboard-rs" version))
-       (file-name (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32 "1nwa0bg6jpq5sd8x94xgkj0yk7zcz2m3sg2mm26b35qlj5rigd0j"))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:tests? #f  ; Failed to create a server socket.
-       #:cargo-inputs (("rust-derive-new" ,rust-derive-new-0.6)
-                       ("rust-libc" ,rust-libc-0.2)
-                       ("rust-log" ,rust-log-0.4)
-                       ("rust-nix" ,rust-nix-0.28)
-                       ("rust-os-pipe" ,rust-os-pipe-1)
-                       ("rust-tempfile" ,rust-tempfile-3)
-                       ("rust-thiserror" ,rust-thiserror-1)
-                       ("rust-tree-magic-mini" ,rust-tree-magic-mini-3)
-                       ("rust-wayland-backend" ,rust-wayland-backend-0.3)
-                       ("rust-wayland-client" ,rust-wayland-client-0.31)
-                       ("rust-wayland-protocols" ,rust-wayland-protocols-0.31)
-                       ("rust-wayland-protocols-wlr" ,rust-wayland-protocols-wlr-0.2))
-       #:cargo-development-inputs
-       (("rust-proptest" ,rust-proptest-1)
-        ("rust-proptest-derive" ,rust-proptest-derive-0.4)
-        ("rust-wayland-protocols" ,rust-wayland-protocols-0.31)
-        ("rust-wayland-protocols-wlr" ,rust-wayland-protocols-wlr-0.2)
-        ("rust-wayland-server" ,rust-wayland-server-0.31))))
-    (home-page "https://github.com/YaLTeR/wl-clipboard-rs")
-    (synopsis "Access to the Wayland clipboard")
-    (description "This package provides access to the Wayland clipboard
-for terminal and other window-less applications.")
-    (license (list license:expat license:asl2.0))))
-
-(define-public rust-wl-clipboard-rs-0.7
-  (package
-    (inherit rust-wl-clipboard-rs-0.8)
-    (name "rust-wl-clipboard-rs")
-    (version "0.7.0")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "wl-clipboard-rs" version))
-       (file-name (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32 "1n8sg981h3d08hnnlrsgs81w2qz3n8a5ml0jcsgnapdpzcyk06lq"))))
-    (arguments
-     `(#:tests? #f  ; Failed to create a server socket.
-       #:cargo-inputs (("rust-derive-new" ,rust-derive-new-0.5)
-                       ("rust-libc" ,rust-libc-0.2)
-                       ("rust-log" ,rust-log-0.4)
-                       ("rust-nix" ,rust-nix-0.24)
-                       ("rust-os-pipe" ,rust-os-pipe-1)
-                       ("rust-tempfile" ,rust-tempfile-3)
-                       ("rust-thiserror" ,rust-thiserror-1)
-                       ("rust-tree-magic-mini" ,rust-tree-magic-mini-3)
-                       ("rust-wayland-client" ,rust-wayland-client-0.29)
-                       ("rust-wayland-protocols" ,rust-wayland-protocols-0.29))
-       #:cargo-development-inputs
-       (("rust-wayland-protocols" ,rust-wayland-protocols-0.29)
-        ("rust-wayland-server" ,rust-wayland-server-0.29))))))
-
-(define-public rust-wl-clipboard-rs-0.4
-  (package
-    (inherit rust-wl-clipboard-rs-0.7)
-    (name "rust-wl-clipboard-rs")
-    (version "0.4.1")
-    (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "wl-clipboard-rs" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (patches (search-patches "rust-wl-clipboard-rs-newer-wl.patch"))
-        (sha256
-          (base32 "1252cm67pkrr6ik5ys2cdyfr2zzw6ds7v351i1cmyi94yiv01l13"))))
-    (arguments
-      `(#:skip-build? #t
-        #:cargo-inputs
-        (("rust-derive-new" ,rust-derive-new-0.5)
-         ("rust-derive-more" ,rust-derive-more-0.99)
-         ("rust-exitfailure" ,rust-exitfailure-0.5)
-         ("rust-failure" ,rust-failure-0.1)
-         ("rust-libc" ,rust-libc-0.2)
-         ("rust-log" ,rust-log-0.4)
-         ("rust-mime-guess" ,rust-mime-guess-2)
-         ("rust-nix" ,rust-nix-0.18)
-         ("rust-os-pipe" ,rust-os-pipe-0.9)
-         ("rust-stderrlog" ,rust-stderrlog-0.4)
-         ("rust-structopt" ,rust-structopt-0.3)
-         ("rust-tempfile" ,rust-tempfile-3)
-         ("rust-tree-magic" ,rust-tree-magic-0.2)
-         ("rust-wayland-client" ,rust-wayland-client-0.28)
-         ("rust-wayland-commons" ,rust-wayland-commons-0.28)
-         ("rust-wayland-protocols" ,rust-wayland-protocols-0.28))))))
-
 (define-public rust-web-sys-0.3
   (package
     (name "rust-web-sys")
@@ -89243,6 +89144,102 @@ (define-public rust-winnow-0.4
                        ("rust-memchr" ,rust-memchr-2)
                        ("rust-terminal-size" ,rust-terminal-size-0.2))))))
 
+(define-public rust-wl-clipboard-rs-0.8
+  (package
+    (name "rust-wl-clipboard-rs")
+    (version "0.8.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "wl-clipboard-rs" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1nwa0bg6jpq5sd8x94xgkj0yk7zcz2m3sg2mm26b35qlj5rigd0j"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:tests? #f
+       #:cargo-inputs (("rust-derive-new" ,rust-derive-new-0.6)
+                       ("rust-libc" ,rust-libc-0.2)
+                       ("rust-log" ,rust-log-0.4)
+                       ("rust-nix" ,rust-nix-0.28)
+                       ("rust-os-pipe" ,rust-os-pipe-1)
+                       ("rust-tempfile" ,rust-tempfile-3)
+                       ("rust-thiserror" ,rust-thiserror-1)
+                       ("rust-tree-magic-mini" ,rust-tree-magic-mini-3)
+                       ("rust-wayland-backend" ,rust-wayland-backend-0.3)
+                       ("rust-wayland-client" ,rust-wayland-client-0.31)
+                       ("rust-wayland-protocols" ,rust-wayland-protocols-0.31)
+                       ("rust-wayland-protocols-wlr" ,rust-wayland-protocols-wlr-0.2))
+       #:cargo-development-inputs (("rust-proptest" ,rust-proptest-1)
+                                   ("rust-proptest-derive" ,rust-proptest-derive-0.4)
+                                   ("rust-wayland-protocols" ,rust-wayland-protocols-0.31)
+                                   ("rust-wayland-protocols-wlr" ,rust-wayland-protocols-wlr-0.2)
+                                   ("rust-wayland-server" ,rust-wayland-server-0.31))))
+    (home-page "https://github.com/YaLTeR/wl-clipboard-rs")
+    (synopsis "Access to the Wayland clipboard")
+    (description "This package provides access to the Wayland clipboard
+for terminal and other window-less applications.")
+    (license (list license:expat license:asl2.0))))
+
+(define-public rust-wl-clipboard-rs-0.7
+  (package
+    (inherit rust-wl-clipboard-rs-0.8)
+    (name "rust-wl-clipboard-rs")
+    (version "0.7.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "wl-clipboard-rs" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1n8sg981h3d08hnnlrsgs81w2qz3n8a5ml0jcsgnapdpzcyk06lq"))))
+    (arguments
+     `(#:tests? #f
+       #:cargo-inputs (("rust-derive-new" ,rust-derive-new-0.5)
+                       ("rust-libc" ,rust-libc-0.2)
+                       ("rust-log" ,rust-log-0.4)
+                       ("rust-nix" ,rust-nix-0.24)
+                       ("rust-os-pipe" ,rust-os-pipe-1)
+                       ("rust-tempfile" ,rust-tempfile-3)
+                       ("rust-thiserror" ,rust-thiserror-1)
+                       ("rust-tree-magic-mini" ,rust-tree-magic-mini-3)
+                       ("rust-wayland-client" ,rust-wayland-client-0.29)
+                       ("rust-wayland-protocols" ,rust-wayland-protocols-0.29))
+       #:cargo-development-inputs (("rust-wayland-protocols" ,rust-wayland-protocols-0.29)
+                                   ("rust-wayland-server" ,rust-wayland-server-0.29))))))
+
+(define-public rust-wl-clipboard-rs-0.4
+  (package
+    (inherit rust-wl-clipboard-rs-0.7)
+    (name "rust-wl-clipboard-rs")
+    (version "0.4.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "wl-clipboard-rs" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (patches (search-patches "rust-wl-clipboard-rs-newer-wl.patch"))
+       (sha256
+        (base32 "1252cm67pkrr6ik5ys2cdyfr2zzw6ds7v351i1cmyi94yiv01l13"))))
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-derive-new" ,rust-derive-new-0.5)
+                       ("rust-derive-more" ,rust-derive-more-0.99)
+                       ("rust-exitfailure" ,rust-exitfailure-0.5)
+                       ("rust-failure" ,rust-failure-0.1)
+                       ("rust-libc" ,rust-libc-0.2)
+                       ("rust-log" ,rust-log-0.4)
+                       ("rust-mime-guess" ,rust-mime-guess-2)
+                       ("rust-nix" ,rust-nix-0.18)
+                       ("rust-os-pipe" ,rust-os-pipe-0.9)
+                       ("rust-stderrlog" ,rust-stderrlog-0.4)
+                       ("rust-structopt" ,rust-structopt-0.3)
+                       ("rust-tempfile" ,rust-tempfile-3)
+                       ("rust-tree-magic" ,rust-tree-magic-0.2)
+                       ("rust-wayland-client" ,rust-wayland-client-0.28)
+                       ("rust-wayland-commons" ,rust-wayland-commons-0.28)
+                       ("rust-wayland-protocols" ,rust-wayland-protocols-0.28))))))
+
 (define-public rust-wycheproof-0.5
   (package
     (name "rust-wycheproof")