diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 178e3bb854..bfe5514539 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -51252,6 +51252,141 @@ (define-public rust-pathdiff-0.2
 path.")
     (license (list license:asl2.0 license:expat))))
 
+(define-public rust-pathfinder-geometry-0.5
+  (package
+    (name "rust-pathfinder-geometry")
+    (version "0.5.1")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (crate-uri "pathfinder_geometry" version))
+        (file-name (string-append name "-" version ".tar.gz"))
+        (sha256
+          (base32 "1lssir0s1cmrpzzrk49jm31nkssh2j715gryww6700x79rxpwyqb"))))
+    (build-system cargo-build-system)
+    (arguments
+      `(#:skip-build? #t
+        #:cargo-inputs
+        (("rust-log" ,rust-log-0.4)
+         ("rust-pathfinder-simd" ,rust-pathfinder-simd-0.5))))
+    (home-page "https://github.com/servo/pathfinder")
+    (synopsis "Basic SIMD-accelerated geometry/linear algebra")
+    (description "This package provides basic SIMD-accelerated geometry/linear
+algebra.")
+    (license (list license:expat license:asl2.0))))
+
+(define-public rust-pathfinder-simd-0.5
+  (package
+    (name "rust-pathfinder-simd")
+    (version "0.5.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "pathfinder_simd" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1zx6yjch2zwlnbrsq3ljnkwzs9jdf4cbh5wwjkjradahqnn4dzir"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-rustc-version" ,rust-rustc-version-0.3))))
+    (home-page "https://github.com/servo/pathfinder")
+    (synopsis "Simple SIMD Rust library")
+    (description "This package provides a simple SIMD Rust library.")
+    (license (list license:expat license:asl2.0))))
+
+(define-public rust-paw-1
+  (package
+    (name "rust-paw")
+    (version "1.0.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "paw" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1sc481y42rb08hmww525m4539ppl8k0w14kwxp13vg2dasdzrh09"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:tests? #f  ; `async_await` has been stable since `1.39.0`
+       #:cargo-inputs
+       (("rust-paw-attributes" ,rust-paw-attributes-1)
+        ("rust-paw-raw" ,rust-paw-raw-1))
+       #:cargo-development-inputs
+       (("rust-paw-structopt" ,rust-paw-structopt-1)
+        ("rust-runtime" ,rust-runtime-0.3)
+        ("rust-structopt" ,rust-structopt-0.2))))
+    (home-page "https://github.com/rust-cli/paw")
+    (synopsis "CLI argument parser")
+    (description "This package provides a CLI argument parser.")
+    (license (list license:expat license:asl2.0))))
+
+(define-public rust-paw-attributes-1
+  (package
+    (name "rust-paw-attributes")
+    (version "1.0.2")
+    (source
+      (origin
+        (method url-fetch)
+        (uri (crate-uri "paw-attributes" version))
+        (file-name (string-append name "-" version ".tar.gz"))
+        (sha256
+          (base32 "0fda1v7y5pfmg8d2v7m0pyvif6c44qjz914jjn718pdyclrmhd8g"))))
+    (build-system cargo-build-system)
+    (arguments
+      `(#:cargo-inputs
+        (("rust-proc-macro2" ,rust-proc-macro2-1)
+         ("rust-quote" ,rust-quote-1)
+         ("rust-syn" ,rust-syn-1))))
+    (home-page "https://github.com/rust-cli/paw")
+    (synopsis "Proc Macro attributes for the Paw crate")
+    (description "This package provides Proc Macro attributes for the Paw
+crate.")
+    (license (list license:expat license:asl2.0))))
+
+(define-public rust-paw-raw-1
+  (package
+    (name "rust-paw-raw")
+    (version "1.0.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "paw-raw" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1wk76ipp34gjh42vivmgdkb2rgr26gwhn34gk7z5l378ixk5j2vz"))))
+    (build-system cargo-build-system)
+    (home-page "https://github.com/rust-cli/paw")
+    (synopsis "Traits to implement custom Paw implementations")
+    (description "This package provides traits to implement custom Paw
+implementations.")
+    (license (list license:expat license:asl2.0))))
+
+(define-public rust-paw-structopt-1
+  (package
+    (name "rust-paw-structopt")
+    (version "1.0.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "paw-structopt" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1iwg83xqjpfgpy8wrq173cy7zgkyxfryd230sh34f5qsjdx7zap4"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:tests? #f      ; use of undeclared crate or module `paw`
+       #:cargo-inputs
+       (("rust-proc-macro2" ,rust-proc-macro2-0.4)
+        ("rust-quote" ,rust-quote-0.6)
+        ("rust-structopt" ,rust-structopt-0.2)
+        ("rust-syn" ,rust-syn-0.15))))
+    (home-page "https://github.com/rust-cli/paw")
+    (synopsis "Structopt support for the Paw crate")
+    (description "This package provides Structopt support for the Paw crate.")
+    (license (list license:expat license:asl2.0))))
+
 (define-public rust-pcap-1
   (package
     (name "rust-pcap")
@@ -70789,141 +70924,6 @@ (define-public rust-slab-0.4
 data type.")
     (license license:expat)))
 
-(define-public rust-pathfinder-geometry-0.5
-  (package
-    (name "rust-pathfinder-geometry")
-    (version "0.5.1")
-    (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "pathfinder_geometry" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32 "1lssir0s1cmrpzzrk49jm31nkssh2j715gryww6700x79rxpwyqb"))))
-    (build-system cargo-build-system)
-    (arguments
-      `(#:skip-build? #t
-        #:cargo-inputs
-        (("rust-log" ,rust-log-0.4)
-         ("rust-pathfinder-simd" ,rust-pathfinder-simd-0.5))))
-    (home-page "https://github.com/servo/pathfinder")
-    (synopsis "Basic SIMD-accelerated geometry/linear algebra")
-    (description "This package provides basic SIMD-accelerated geometry/linear
-algebra.")
-    (license (list license:expat license:asl2.0))))
-
-(define-public rust-pathfinder-simd-0.5
-  (package
-    (name "rust-pathfinder-simd")
-    (version "0.5.1")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "pathfinder_simd" version))
-       (file-name (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32 "1zx6yjch2zwlnbrsq3ljnkwzs9jdf4cbh5wwjkjradahqnn4dzir"))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:skip-build? #t
-       #:cargo-inputs
-       (("rust-rustc-version" ,rust-rustc-version-0.3))))
-    (home-page "https://github.com/servo/pathfinder")
-    (synopsis "Simple SIMD Rust library")
-    (description "This package provides a simple SIMD Rust library.")
-    (license (list license:expat license:asl2.0))))
-
-(define-public rust-paw-1
-  (package
-    (name "rust-paw")
-    (version "1.0.0")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "paw" version))
-       (file-name (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32 "1sc481y42rb08hmww525m4539ppl8k0w14kwxp13vg2dasdzrh09"))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:tests? #f  ; `async_await` has been stable since `1.39.0`
-       #:cargo-inputs
-       (("rust-paw-attributes" ,rust-paw-attributes-1)
-        ("rust-paw-raw" ,rust-paw-raw-1))
-       #:cargo-development-inputs
-       (("rust-paw-structopt" ,rust-paw-structopt-1)
-        ("rust-runtime" ,rust-runtime-0.3)
-        ("rust-structopt" ,rust-structopt-0.2))))
-    (home-page "https://github.com/rust-cli/paw")
-    (synopsis "CLI argument parser")
-    (description "This package provides a CLI argument parser.")
-    (license (list license:expat license:asl2.0))))
-
-(define-public rust-paw-attributes-1
-  (package
-    (name "rust-paw-attributes")
-    (version "1.0.2")
-    (source
-      (origin
-        (method url-fetch)
-        (uri (crate-uri "paw-attributes" version))
-        (file-name (string-append name "-" version ".tar.gz"))
-        (sha256
-          (base32 "0fda1v7y5pfmg8d2v7m0pyvif6c44qjz914jjn718pdyclrmhd8g"))))
-    (build-system cargo-build-system)
-    (arguments
-      `(#:cargo-inputs
-        (("rust-proc-macro2" ,rust-proc-macro2-1)
-         ("rust-quote" ,rust-quote-1)
-         ("rust-syn" ,rust-syn-1))))
-    (home-page "https://github.com/rust-cli/paw")
-    (synopsis "Proc Macro attributes for the Paw crate")
-    (description "This package provides Proc Macro attributes for the Paw
-crate.")
-    (license (list license:expat license:asl2.0))))
-
-(define-public rust-paw-raw-1
-  (package
-    (name "rust-paw-raw")
-    (version "1.0.0")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "paw-raw" version))
-       (file-name (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32 "1wk76ipp34gjh42vivmgdkb2rgr26gwhn34gk7z5l378ixk5j2vz"))))
-    (build-system cargo-build-system)
-    (home-page "https://github.com/rust-cli/paw")
-    (synopsis "Traits to implement custom Paw implementations")
-    (description "This package provides traits to implement custom Paw
-implementations.")
-    (license (list license:expat license:asl2.0))))
-
-(define-public rust-paw-structopt-1
-  (package
-    (name "rust-paw-structopt")
-    (version "1.0.0")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "paw-structopt" version))
-       (file-name (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32 "1iwg83xqjpfgpy8wrq173cy7zgkyxfryd230sh34f5qsjdx7zap4"))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:tests? #f      ; use of undeclared crate or module `paw`
-       #:cargo-inputs
-       (("rust-proc-macro2" ,rust-proc-macro2-0.4)
-        ("rust-quote" ,rust-quote-0.6)
-        ("rust-structopt" ,rust-structopt-0.2)
-        ("rust-syn" ,rust-syn-0.15))))
-    (home-page "https://github.com/rust-cli/paw")
-    (synopsis "Structopt support for the Paw crate")
-    (description "This package provides Structopt support for the Paw crate.")
-    (license (list license:expat license:asl2.0))))
-
 ;; TODO: Unbundle sleef.
 (define-public rust-sleef-sys-0.1
   (package