diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 395fb72ecf..f4419d1071 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -57540,36 +57540,6 @@ (define-public rust-puffin-0.18
     (description "Simple instrumentation profiler for games.")
     (license (list license:expat license:asl2.0))))
 
-(define-public rust-pulldown-cmark-to-cmark-10
-  (package
-    (name "rust-pulldown-cmark-to-cmark")
-    (version "10.0.4")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "pulldown-cmark-to-cmark" version))
-       (file-name (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32 "0gc366cmd5jxal9m95l17rvqsm4dn62lywc8v5gwq8vcjvhyd501"))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:cargo-inputs (("rust-pulldown-cmark" ,rust-pulldown-cmark-0.9))
-       #:cargo-development-inputs
-       (("rust-indoc" ,rust-indoc-1)
-        ("rust-pretty-assertions" ,rust-pretty-assertions-0.7))))
-    (home-page "https://github.com/Byron/pulldown-cmark-to-cmark")
-    (synopsis
-     "Convert pulldown-cmark Events back to the string they were parsed from")
-    (description
-     "A utility library which translates Event back to markdown.  It's the
-prerequisite for writing markdown filters which can work as
-@code{mdbook-preprocessors}.
-
-This library takes great pride in supporting everything that
-@code{pulldown-cmark} supports, including tables and footnotes and codeblocks
-in codeblocks, while assuring quality with a powerful test suite.")
-    (license license:asl2.0)))
-
 (define-public rust-pulldown-cmark-0.9
   (package
     (name "rust-pulldown-cmark")
@@ -57634,28 +57604,6 @@ (define-public rust-pulldown-cmark-0.8
          ("rust-regex" ,rust-regex-1)
          ("rust-tendril" ,rust-tendril-0.4))))))
 
-(define-public rust-pulldown-cmark-to-cmark-7
-  (package
-    (inherit rust-pulldown-cmark-to-cmark-10)
-    (name "rust-pulldown-cmark-to-cmark")
-    (version "7.1.1")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "pulldown-cmark-to-cmark" version))
-       (file-name (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32
-         "03f6bnqjzchmzs4qaf63pirgj95b0x3l2rlp1wj1z27mp734phcb"))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:skip-build? #t
-       #:cargo-inputs
-       (("rust-pulldown-cmark" ,rust-pulldown-cmark-0.8))
-       #:cargo-development-inputs
-       (("rust-indoc" ,rust-indoc-1)
-        ("rust-pretty-assertions" ,rust-pretty-assertions-0.7))))))
-
 (define-public rust-pulldown-cmark-0.4
   (package
     (inherit rust-pulldown-cmark-0.8)
@@ -57729,6 +57677,54 @@ (define-public rust-pulldown-cmark-0.1
        (("rust-bitflags" ,rust-bitflags-0.9)
         ("rust-getopts" ,rust-getopts-0.2))))))
 
+(define-public rust-pulldown-cmark-to-cmark-10
+  (package
+    (name "rust-pulldown-cmark-to-cmark")
+    (version "10.0.4")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "pulldown-cmark-to-cmark" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0gc366cmd5jxal9m95l17rvqsm4dn62lywc8v5gwq8vcjvhyd501"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-pulldown-cmark" ,rust-pulldown-cmark-0.9))
+       #:cargo-development-inputs (("rust-indoc" ,rust-indoc-1)
+                                   ("rust-pretty-assertions" ,rust-pretty-assertions-0.7))))
+    (home-page "https://github.com/Byron/pulldown-cmark-to-cmark")
+    (synopsis
+     "Convert pulldown-cmark Events back to the string they were parsed from")
+    (description
+     "A utility library which translates Event back to markdown.  It's the
+prerequisite for writing markdown filters which can work as
+@code{mdbook-preprocessors}.
+
+This library takes great pride in supporting everything that
+@code{pulldown-cmark} supports, including tables and footnotes and codeblocks
+in codeblocks, while assuring quality with a powerful test suite.")
+    (license license:asl2.0)))
+
+(define-public rust-pulldown-cmark-to-cmark-7
+  (package
+    (inherit rust-pulldown-cmark-to-cmark-10)
+    (name "rust-pulldown-cmark-to-cmark")
+    (version "7.1.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "pulldown-cmark-to-cmark" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "03f6bnqjzchmzs4qaf63pirgj95b0x3l2rlp1wj1z27mp734phcb"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs (("rust-pulldown-cmark" ,rust-pulldown-cmark-0.8))
+       #:cargo-development-inputs (("rust-indoc" ,rust-indoc-1)
+                                   ("rust-pretty-assertions" ,rust-pretty-assertions-0.7))))))
+
 (define-public rust-pulse-0.5
   (package
     (name "rust-pulse")