diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index c44f96e2de..1374fdfa4e 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -68201,136 +68201,6 @@ (define-public rust-serde-codegen-internals-0.14
      "Unstable AST representation used by Serde codegen.")
     (license (list license:expat license:asl2.0))))
 
-(define-public rust-serde-fmt-1
-  (package
-    (name "rust-serde-fmt")
-    (version "1.0.1")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "serde_fmt" version))
-       (file-name (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32 "195sp3zxbdgrnaqxwn9z3pij04fd7yyihnm4fpfc261r5fdacqr9"))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:skip-build? #t
-       #:cargo-inputs
-       (("rust-serde" ,rust-serde-1))))
-    (home-page "https://github.com/KodrAus/serde_fmt.git")
-    (synopsis "Write any @code{serde::Serialize} using standard formatting APIs")
-    (description
-     "This package allows one to Write any @code{serde::Serialize} using the
-standard formatting APIs.")
-    (license (list license:asl2.0 license:expat))))
-
-(define-public rust-serde-html-form-0.2
-  (package
-    (name "rust-serde-html-form")
-    (version "0.2.4")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "serde_html_form" version))
-       (file-name (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32 "133ycw4zdw4jymnw38n4vnjnvhxf5im3hh6g4akr4rps3ip0dq90"))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:cargo-inputs (("rust-form-urlencoded" ,rust-form-urlencoded-1)
-                       ("rust-indexmap" ,rust-indexmap-2)
-                       ("rust-itoa" ,rust-itoa-1)
-                       ("rust-ryu" ,rust-ryu-1)
-                       ("rust-serde" ,rust-serde-1))
-       #:cargo-development-inputs (("rust-assert-matches2" ,rust-assert-matches2-0.1)
-                                   ("rust-serde" ,rust-serde-1))))
-    (home-page "https://github.com/jplatte/serde_html_form")
-    (synopsis
-     "(De-)serialization support for the `application/x-www-form-urlencoded` format")
-    (description
-     "This package provies (de-)serialization support for the
-`application/x-www-form-urlencoded` format.")
-    (license license:expat)))
-
-(define-public rust-serde-indextree-0.2
-  (package
-    (name "rust-serde-indextree")
-    (version "0.2.0")
-    (source (origin
-              (method url-fetch)
-              (uri (crate-uri "serde_indextree" version))
-              (file-name (string-append name "-" version ".tar.gz"))
-              (sha256
-               (base32
-                "0kzp3dk6smfy0509fd1sih9ai4a31kgpb1rshsxb0m2l01c7s3m7"))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:cargo-inputs (("rust-indextree" ,rust-indextree-4)
-                       ("rust-serde" ,rust-serde-1))))
-    (home-page "https://github.com/PoiScript/serde_indextree")
-    (synopsis "Serializing indextree structure")
-    (description "Serializing indextree structure.")
-    (license license:expat)))
-
-(define-public rust-serde-hjson-0.9
-  (package
-    (name "rust-serde-hjson")
-    (version "0.9.1")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "serde-hjson" version))
-       (file-name (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32 "1y3lzs8556bxqa9jfdyg38pd5jjffblczikckwh571d8m074wfka"))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:skip-build? #t
-       #:cargo-inputs
-       (("rust-clippy" ,rust-clippy-0.0)
-        ("rust-lazy-static" ,rust-lazy-static-1)
-        ("rust-linked-hash-map" ,rust-linked-hash-map-0.3)
-        ("rust-num-traits" ,rust-num-traits-0.1)
-        ("rust-regex" ,rust-regex-1)
-        ("rust-serde" ,rust-serde-0.8))))
-    (home-page "https://github.com/hjson/hjson-rust")
-    (synopsis "Human JSON (Hjson) serialization file format")
-    (description
-     "This crate is a Rust library for parsing and generating Human JSON
-Hjson.  It is built upon Serde, a high performance generic serialization
-framework.")
-    (license license:expat)))
-
-(define-public rust-serdeconv-0.4
-  (package
-    (name "rust-serdeconv")
-    (version "0.4.0")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "serdeconv" version))
-       (file-name (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32 "0cal6qkzps92g7csycqij4ik1df3ccxn5sxnjvfvm473phnwbvbi"))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:skip-build? #t
-       #:cargo-inputs
-       (("rust-rmp-serde" ,rust-rmp-serde-0.15)
-        ("rust-serde" ,rust-serde-1)
-        ("rust-serde-json" ,rust-serde-json-1)
-        ("rust-toml" ,rust-toml-0.5)
-        ("rust-trackable" ,rust-trackable-1))
-       #:cargo-development-inputs
-       (("rust-serde-derive" ,rust-serde-derive-1))))
-    (home-page "https://github.com/sile/serdeconv")
-    (synopsis
-     "Convert between TOML/JSON/MessagePack strings and serializable values")
-    (description
-     "This crate provides traits and functions for converting between
-TOML/JSON/MessagePack strings and serializable values.")
-    (license license:expat)))
-
 (define-public rust-serde-derive-1
   (package
     (name "rust-serde-derive")
@@ -68427,6 +68297,85 @@ (define-public rust-serde-derive-internals-0.25
         ("rust-quote" ,rust-quote-1)
         ("rust-syn" ,rust-syn-1))))))
 
+(define-public rust-serde-fmt-1
+  (package
+    (name "rust-serde-fmt")
+    (version "1.0.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "serde_fmt" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "195sp3zxbdgrnaqxwn9z3pij04fd7yyihnm4fpfc261r5fdacqr9"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-serde" ,rust-serde-1))))
+    (home-page "https://github.com/KodrAus/serde_fmt.git")
+    (synopsis "Write any @code{serde::Serialize} using standard formatting APIs")
+    (description
+     "This package allows one to Write any @code{serde::Serialize} using the
+standard formatting APIs.")
+    (license (list license:asl2.0 license:expat))))
+
+(define-public rust-serde-hjson-0.9
+  (package
+    (name "rust-serde-hjson")
+    (version "0.9.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "serde-hjson" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "1y3lzs8556bxqa9jfdyg38pd5jjffblczikckwh571d8m074wfka"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-clippy" ,rust-clippy-0.0)
+        ("rust-lazy-static" ,rust-lazy-static-1)
+        ("rust-linked-hash-map" ,rust-linked-hash-map-0.3)
+        ("rust-num-traits" ,rust-num-traits-0.1)
+        ("rust-regex" ,rust-regex-1)
+        ("rust-serde" ,rust-serde-0.8))))
+    (home-page "https://github.com/hjson/hjson-rust")
+    (synopsis "Human JSON (Hjson) serialization file format")
+    (description
+     "This crate is a Rust library for parsing and generating Human JSON
+Hjson.  It is built upon Serde, a high performance generic serialization
+framework.")
+    (license license:expat)))
+
+(define-public rust-serde-html-form-0.2
+  (package
+    (name "rust-serde-html-form")
+    (version "0.2.4")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "serde_html_form" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "133ycw4zdw4jymnw38n4vnjnvhxf5im3hh6g4akr4rps3ip0dq90"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-form-urlencoded" ,rust-form-urlencoded-1)
+                       ("rust-indexmap" ,rust-indexmap-2)
+                       ("rust-itoa" ,rust-itoa-1)
+                       ("rust-ryu" ,rust-ryu-1)
+                       ("rust-serde" ,rust-serde-1))
+       #:cargo-development-inputs (("rust-assert-matches2" ,rust-assert-matches2-0.1)
+                                   ("rust-serde" ,rust-serde-1))))
+    (home-page "https://github.com/jplatte/serde_html_form")
+    (synopsis
+     "(De-)serialization support for the `application/x-www-form-urlencoded` format")
+    (description "This package provies (de-)serialization support for the
+`application/x-www-form-urlencoded` format.")
+    (license license:expat)))
+
 (define-public rust-serde-ignored-0.1
   (package
     (name "rust-serde-ignored")
@@ -68452,6 +68401,26 @@ (define-public rust-serde-ignored-0.1
 @code{Deserializer} and invokes a callback on every ignored field.")
     (license (list license:expat license:asl2.0))))
 
+(define-public rust-serde-indextree-0.2
+  (package
+    (name "rust-serde-indextree")
+    (version "0.2.0")
+    (source (origin
+              (method url-fetch)
+              (uri (crate-uri "serde_indextree" version))
+              (file-name (string-append name "-" version ".tar.gz"))
+              (sha256
+               (base32
+                "0kzp3dk6smfy0509fd1sih9ai4a31kgpb1rshsxb0m2l01c7s3m7"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-indextree" ,rust-indextree-4)
+                       ("rust-serde" ,rust-serde-1))))
+    (home-page "https://github.com/PoiScript/serde_indextree")
+    (synopsis "Serializing indextree structure")
+    (description "Serializing indextree structure.")
+    (license license:expat)))
+
 (define-public rust-serde-json-1
   (package
     (name "rust-serde-json")
@@ -69263,6 +69232,36 @@ (define-public rust-serde-yaml-0.8
         ("rust-indoc" ,rust-indoc-1)
         ("rust-serde-derive" ,rust-serde-derive-1))))))
 
+(define-public rust-serdeconv-0.4
+  (package
+    (name "rust-serdeconv")
+    (version "0.4.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "serdeconv" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0cal6qkzps92g7csycqij4ik1df3ccxn5sxnjvfvm473phnwbvbi"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-rmp-serde" ,rust-rmp-serde-0.15)
+        ("rust-serde" ,rust-serde-1)
+        ("rust-serde-json" ,rust-serde-json-1)
+        ("rust-toml" ,rust-toml-0.5)
+        ("rust-trackable" ,rust-trackable-1))
+       #:cargo-development-inputs
+       (("rust-serde-derive" ,rust-serde-derive-1))))
+    (home-page "https://github.com/sile/serdeconv")
+    (synopsis
+     "Convert between TOML/JSON/MessagePack strings and serializable values")
+    (description
+     "This crate provides traits and functions for converting between
+TOML/JSON/MessagePack strings and serializable values.")
+    (license license:expat)))
+
 (define-public rust-serial-test-3
   (package
     (name "rust-serial-test")