diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index bea3f2027e..eb01cbaf5e 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -69405,6 +69405,31 @@ (define-public rust-serial-test-0.5
         ("rust-parking-lot" ,rust-parking-lot-0.11)
         ("rust-serial-test-derive" ,rust-serial-test-derive-0.5))))))
 
+(define-public rust-serial-test-0.4
+  (package
+    (name "rust-serial-test")
+    (version "0.4.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "serial_test" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "1mkz246ax07nar0bmh3m98kl27lacja98vywi9cjqbsb8g3zgxgy"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs
+       (("rust-lazy-static" ,rust-lazy-static-1)
+("rust-parking-lot" ,rust-parking-lot-0.10)
+("rust-serial-test-derive" ,rust-serial-test-derive-0.4))))
+    (home-page
+     "https://github.com/palfrey/serial_test/")
+    (synopsis "Serialising Rust tests")
+    (description "Serialising Rust tests")
+    (license license:expat)))
+
 (define-public rust-serial-test-0.1
   (package
     (inherit rust-serial-test-0.5)
@@ -69551,6 +69576,32 @@ (define-public rust-serial-test-derive-0.5
        #:cargo-development-inputs
        (("rust-env-logger" ,rust-env-logger-0.7))))))
 
+(define-public rust-serial-test-derive-0.4
+  (package
+    (name "rust-serial-test-derive")
+    (version "0.4.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "serial_test_derive" version))
+       (file-name
+        (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32
+         "05b5xr36zi8damfg3bmbh1kwdxc3k1y2r8b8pmi7q8jb0bc3i0yh"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs
+       (("rust-env-logger" ,rust-env-logger-0.7)
+        ("rust-proc-macro2" ,rust-proc-macro2-1)
+        ("rust-quote" ,rust-quote-1)
+        ("rust-syn" ,rust-syn-1))))
+    (home-page
+     "https://github.com/palfrey/serial_test_derive/")
+    (synopsis "Serialising Rust tests")
+    (description "Serialising Rust tests")
+    (license license:expat)))
+
 (define-public rust-serial-test-derive-0.1
   (package
     (inherit rust-serial-test-derive-0.5)
@@ -69614,57 +69665,6 @@ (define-public rust-servo-arc-0.1
         ("rust-serde" ,rust-serde-1)
         ("rust-stable-deref-trait" ,rust-stable-deref-trait-1))))))
 
-(define-public rust-serial-test-derive-0.4
-  (package
-    (name "rust-serial-test-derive")
-    (version "0.4.0")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "serial_test_derive" version))
-       (file-name
-        (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32
-         "05b5xr36zi8damfg3bmbh1kwdxc3k1y2r8b8pmi7q8jb0bc3i0yh"))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:cargo-inputs
-       (("rust-env-logger" ,rust-env-logger-0.7)
-        ("rust-proc-macro2" ,rust-proc-macro2-1)
-        ("rust-quote" ,rust-quote-1)
-        ("rust-syn" ,rust-syn-1))))
-    (home-page
-     "https://github.com/palfrey/serial_test_derive/")
-    (synopsis "Serialising Rust tests")
-    (description "Serialising Rust tests")
-    (license license:expat)))
-
-(define-public rust-serial-test-0.4
-  (package
-    (name "rust-serial-test")
-    (version "0.4.0")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "serial_test" version))
-       (file-name
-        (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32
-         "1mkz246ax07nar0bmh3m98kl27lacja98vywi9cjqbsb8g3zgxgy"))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:cargo-inputs
-       (("rust-lazy-static" ,rust-lazy-static-1)
-("rust-parking-lot" ,rust-parking-lot-0.10)
-("rust-serial-test-derive" ,rust-serial-test-derive-0.4))))
-    (home-page
-     "https://github.com/palfrey/serial_test/")
-    (synopsis "Serialising Rust tests")
-    (description "Serialising Rust tests")
-    (license license:expat)))
-
 (define-public rust-servo-fontconfig-0.5
   (package
     (name "rust-servo-fontconfig")