diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index 8a3cd15f78..b9257501b5 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -72347,23 +72347,31 @@ (define-public rust-spinning-top-0.2
 provided by @code{lock_api}.")
     (license (list license:expat license:asl2.0))))
 
-(define-public rust-spirv-types-0.4
+(define-public rust-spirv-std-0.4
   (package
-    (name "rust-spirv-types")
-    (version "0.4.0-alpha.12")
+    (name "rust-spirv-std")
+    ;; We use a slightly older version here, because of problems building glam
+    ;; 0.13.1 with more recent versions.
+    (version "0.4.0-alpha.7")
     (source
      (origin
        (method url-fetch)
-       (uri (crate-uri "spirv-types" version))
+       (uri (crate-uri "spirv-std" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "0sxcic2n04xzywww3c7mj9ah8iwr20vz3d6xvsgla1y7gs7lpk3i"))))
+        (base32 "14npd838bqnw09iab0zq94xs4yl69m6c0cdfzxa9fal0zxqlqv3j"))))
     (build-system cargo-build-system)
-    (arguments `(#:skip-build? #t))
+    (arguments
+     `(#:skip-build? #t
+       #:cargo-inputs
+       (("rust-bitflags" ,rust-bitflags-1)
+        ("rust-num-traits" ,rust-num-traits-0.2)
+        ("rust-spirv-std-macros" ,rust-spirv-std-macros-0.4)
+        ("rust-spirv-types" ,rust-spirv-types-0.4))))
     (home-page "https://github.com/EmbarkStudios/rust-gpu")
-    (synopsis "SPIR-V types shared between spirv-std and spirv-std-macros")
-    (description "This package provides SPIR-V types shared between spirv-std
-and spirv-std-macros.")
+    (synopsis "Standard functions and types for SPIR-V")
+    (description "This package provides standard functions and types for
+SPIR-V.")
     (license (list license:expat license:asl2.0))))
 
 (define-public rust-spirv-std-macros-0.4
@@ -72380,42 +72388,34 @@ (define-public rust-spirv-std-macros-0.4
     (build-system cargo-build-system)
     (arguments
      `(#:skip-build? #t
-       #:cargo-inputs
-       (("rust-heck" ,rust-heck-0.3)
-        ("rust-proc-macro2" ,rust-proc-macro2-1)
-        ("rust-quote" ,rust-quote-1)
-        ("rust-spirv-types" ,rust-spirv-types-0.4)
-        ("rust-syn" ,rust-syn-1))))
+       #:cargo-inputs (("rust-heck" ,rust-heck-0.3)
+                       ("rust-proc-macro2" ,rust-proc-macro2-1)
+                       ("rust-quote" ,rust-quote-1)
+                       ("rust-spirv-types" ,rust-spirv-types-0.4)
+                       ("rust-syn" ,rust-syn-1))))
     (home-page "https://github.com/EmbarkStudios/rust-gpu")
     (synopsis "Macros for spirv-std")
     (description "This package provides macros for spirv-std.")
     (license (list license:expat license:asl2.0))))
 
-(define-public rust-spirv-std-0.4
+(define-public rust-spirv-types-0.4
   (package
-    (name "rust-spirv-std")
-    ;; We use a slightly older version here, because of problems building glam
-    ;; 0.13.1 with more recent versions.
-    (version "0.4.0-alpha.7")
+    (name "rust-spirv-types")
+    (version "0.4.0-alpha.12")
     (source
      (origin
        (method url-fetch)
-       (uri (crate-uri "spirv-std" version))
+       (uri (crate-uri "spirv-types" version))
        (file-name (string-append name "-" version ".tar.gz"))
        (sha256
-        (base32 "14npd838bqnw09iab0zq94xs4yl69m6c0cdfzxa9fal0zxqlqv3j"))))
+        (base32 "0sxcic2n04xzywww3c7mj9ah8iwr20vz3d6xvsgla1y7gs7lpk3i"))))
     (build-system cargo-build-system)
     (arguments
-     `(#:skip-build? #t
-       #:cargo-inputs
-       (("rust-bitflags" ,rust-bitflags-1)
-        ("rust-num-traits" ,rust-num-traits-0.2)
-        ("rust-spirv-std-macros" ,rust-spirv-std-macros-0.4)
-        ("rust-spirv-types" ,rust-spirv-types-0.4))))
+     `(#:skip-build? #t))
     (home-page "https://github.com/EmbarkStudios/rust-gpu")
-    (synopsis "Standard functions and types for SPIR-V")
-    (description "This package provides standard functions and types for
-SPIR-V.")
+    (synopsis "SPIR-V types shared between spirv-std and spirv-std-macros")
+    (description "This package provides SPIR-V types shared between spirv-std
+and spirv-std-macros.")
     (license (list license:expat license:asl2.0))))
 
 (define-public rust-spmc-0.3