diff --git a/gnu/packages/crates-io.scm b/gnu/packages/crates-io.scm
index bfe5514539..317bcba35e 100644
--- a/gnu/packages/crates-io.scm
+++ b/gnu/packages/crates-io.scm
@@ -70526,55 +70526,6 @@ (define-public rust-similar-asserts-1
 diff output.")
     (license license:asl2.0)))
 
-(define-public rust-simplelog-0.12
-  (package
-    (name "rust-simplelog")
-    (version "0.12.1")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "simplelog" version))
-       (file-name (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32 "0sa3hjdifxhcb9lnlg549fr2cc7vz89nygwbih2dbqsx3h20ivmc"))
-       (snippet
-        #~(begin (use-modules (guix build utils))
-                 (substitute* "Cargo.toml"
-                   (("1\\.1\\.\\*") "1.1"))))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:cargo-inputs (("rust-ansi-term" ,rust-ansi-term-0.12)
-                       ("rust-log" ,rust-log-0.4)
-                       ("rust-paris" ,rust-paris-1)
-                       ("rust-termcolor" ,rust-termcolor-1)
-                       ("rust-time" ,rust-time-0.3))))
-    (home-page "https://github.com/drakulix/simplelog.rs")
-    (synopsis "Simple and easy-to-use logging facility for Rust's log crate")
-    (description
-     "This package provides a simple and easy-to-use logging facility for Rust's
-@code{log} crate.  It aims to be a maintainable, easy to integrate facility for
-small to medium sized project")
-    (license (list license:expat license:asl2.0))))
-
-(define-public rust-simplerand-1
-  (package
-    (name "rust-simplerand")
-    (version "1.3.0")
-    (source
-     (origin
-       (method url-fetch)
-       (uri (crate-uri "simplerand" version))
-       (file-name (string-append name "-" version ".tar.gz"))
-       (sha256
-        (base32 "0yw9p3sk5c57gwz60ydpvsbx9kkwyccwlcv0z3q4v66b4455libh"))))
-    (build-system cargo-build-system)
-    (arguments
-     `(#:cargo-inputs (("rust-lazy-static" ,rust-lazy-static-1))))
-    (home-page "https://github.com/PumpkinSeed/srand")
-    (synopsis "Random number generator")
-    (description "Simple and fast random number generator.")
-    (license license:expat)))
-
 (define-public rust-simple-logger-4
   (package
     (name "rust-simple-logger")
@@ -70686,6 +70637,56 @@ (define-public rust-simple-mutex-1
 simpler than @code{parking_lot}.")
     (license (list license:asl2.0 license:expat))))
 
+(define-public rust-simplelog-0.12
+  (package
+    (name "rust-simplelog")
+    (version "0.12.1")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "simplelog" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0sa3hjdifxhcb9lnlg549fr2cc7vz89nygwbih2dbqsx3h20ivmc"))
+       (snippet #~(begin
+                    (use-modules (guix build utils))
+                    (substitute* "Cargo.toml"
+                      (("1\\.1\\.\\*")
+                       "1.1"))))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-ansi-term" ,rust-ansi-term-0.12)
+                       ("rust-log" ,rust-log-0.4)
+                       ("rust-paris" ,rust-paris-1)
+                       ("rust-termcolor" ,rust-termcolor-1)
+                       ("rust-time" ,rust-time-0.3))))
+    (home-page "https://github.com/drakulix/simplelog.rs")
+    (synopsis "Simple and easy-to-use logging facility for Rust's log crate")
+    (description
+     "This package provides a simple and easy-to-use logging facility for Rust's
+@code{log} crate.  It aims to be a maintainable, easy to integrate facility for
+small to medium sized project")
+    (license (list license:expat license:asl2.0))))
+
+(define-public rust-simplerand-1
+  (package
+    (name "rust-simplerand")
+    (version "1.3.0")
+    (source
+     (origin
+       (method url-fetch)
+       (uri (crate-uri "simplerand" version))
+       (file-name (string-append name "-" version ".tar.gz"))
+       (sha256
+        (base32 "0yw9p3sk5c57gwz60ydpvsbx9kkwyccwlcv0z3q4v66b4455libh"))))
+    (build-system cargo-build-system)
+    (arguments
+     `(#:cargo-inputs (("rust-lazy-static" ,rust-lazy-static-1))))
+    (home-page "https://github.com/PumpkinSeed/srand")
+    (synopsis "Random number generator")
+    (description "Simple and fast random number generator.")
+    (license license:expat)))
+
 (define-public rust-siphasher-0.3
   (package
     (name "rust-siphasher")